/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef ROGUS_H
#define ROGUS_H

/*
   The following two warnings (4512 & 4514) come up so often that I disable them here
   so that since, "Rogus.h" is a very common header file, most files "inherit" the
   property of having these disabled.
*/
#pragma warning(disable : 4512)
   // warning for "<class>: assignment operator could not be generated"

#pragma warning(disable : 4514)
   // warning for "unreferenced inline function has been removed"

/*
   Warning 4201 is "nonstandard extension used : nameless struct/union"
   It is caused by the following Windows include files, included by "windows.h":
   winnt.h winbase.h mmsystem.h wtypes.h oaidl.h
*/
#pragma warning( disable: 4201 )
#include <windows.h>
#pragma warning( default: 4201 )

#include "basic_types.h"

enum { NEVER = -1 };
enum err_ind { no_err, err };

#endif
// Author: Patrick Pelletier
