/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef ERR_AND_WARN_H
#define ERR_AND_WARN_H

#include "text_win.h"

class err_and_warn
{
   text_win *twp;
   void helper(text_win::msgt, const char*, ...);

public:
	void e( const char *format, ... ); // error: write message in text window (red)
	void w( const char *format, ... ); // warning: write message in text window (yellow)
	void i( const char *format, ... ); // info: write message in text window (green)

   err_and_warn(text_win *in_twp) { twp = in_twp; }
};

#endif
// Authors: Ben Denckla, Patrick Pelletier
