/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef NOTEPAIRSCORE_H
#define NOTEPAIRSCORE_H

#include "NotePairScoreElement.h"
#include "UtilArray.h"
#include "ScoreCreationInfo.h"

typedef UtilArray<NotePairScoreElement> NotePairScoreElementArray;

#pragma warning(disable: 4097)
/*
warning C4097: typedef-name 'NotePairScoreElementArray' used as synonym for 
class-name 'UtilArray<class NotePairScoreElement>'
*/

class NotePairScore : public NotePairScoreElementArray {
	static int dual_purpose_thingy(const ScoreCreationInfo*, NotePairScoreElementArray*);
public:
	NotePairScore(const ScoreCreationInfo*);
};

#pragma warning(default: 4097)

#endif

// Author: Patrick Pelletier
