/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef MIDI_LIB_H
#define MIDI_LIB_H

#include "basic_types.h"
#include "Rogus.h"
#include "MidiMsg.h"

//--------------------------------------------------------------------------------------------------

typedef MidiMsg MIDI_msg;

//--------------------------------------------------------------------------------------------------

class parser
{
public:
	typedef void (*handlerp)( MIDI_msg* );
		
	handlerp msg_hnd[8]; // handlers for the basic message types
 
	parser();
	virtual ~parser();
};

#endif
// Author: Ben Denckla

